﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Diagrams.Extensions.ViewModels;

namespace SLTesting
{
	public partial class MainPage : UserControl
	{
		Random rand = new Random();

		public MainPage()
		{
			InitializeComponent();
			this.CreategraphSource(100);
		}

		private void CreategraphSource(int capacity)
		{
			GraphSource graph = new GraphSource();
			for (int i = 0; i < capacity; i++)
			{
				GraphNode node = new GraphNode();
				node.Position = new Point(rand.Next(0, 3500), rand.Next(0, 2500));
				graph.AddNode(node);
			}

			for (int i = 0; i < capacity / 2; i++)
			{
				GraphLink node = new GraphLink();
				node.Source = graph.InternalItems[rand.Next(0, capacity)];
				node.Target = graph.InternalItems[rand.Next(0, capacity)];
				graph.AddLink(node);
			}
			this.diagram.GraphSource = graph;
		}

		private void Button_Click_1(object sender, RoutedEventArgs e)
		{
			var start = DateTime.Now;
			this.CreategraphSource(1000);
			var end = DateTime.Now;
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			this.diagram.Layout();
		}
	}

	public class GraphLink : LinkViewModelBase<GraphNode>
	{
	}

	public class GraphNode : NodeViewModelBase
	{
	}

	public class GraphSource : ObservableGraphSourceBase<GraphNode, GraphLink>
	{
	}
}
