﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace SLTesting
{
	public class MyItem
	{
		private string name;
		private ObservableCollection<MyItem> items;

		public MyItem()
			: this(string.Empty)
		{ }

		public MyItem(string name)
		{
			this.items = new ObservableCollection<MyItem>();
			this.Name = name;
		}

		public ObservableCollection<MyItem> Items
		{
			get
			{
				return this.items;
			}
		}

		public string Name
		{
			get
			{
				return this.name;
			}
			set
			{
				this.name = value;
			}
		}
	}
}
