﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace SLTesting
{
	public class ViewModel
	{
		private MyItem root;
		private ObservableCollection<MyItem> items;

		public ViewModel()
		{
			this.items = new ObservableCollection<MyItem>();
			for (int i = 0; i < 3; i++)
			{
				var newItem = new MyItem("Item " + i);
				for (int j = 0; j < 2; j++)
				{
					var newItem2 = new MyItem("Item " + i + " " + j);
					for (int z = 0; z < 2; z++)
					{
						var newItem3 = new MyItem("Item " + i + " " + j + " " + z);
						newItem2.Items.Add(newItem3);
					}
					newItem.Items.Add(newItem2);
				}
				this.items.Add(newItem);
			}

			this.Root = new MyItem("SPARTA");
		}

		public ObservableCollection<MyItem> Items
		{
			get
			{
				return this.items;
			}
		}

		public MyItem Root
		{
			get
			{
				return this.root;
			}
			set
			{
				this.root = value;
			}
		}

		internal MyItem AddItem()
		{
			var newItem = new MyItem("New Item");
			this.Items[0].Items[1].Items.Add(newItem);

			return newItem;
		}
	}
}
